- name: Add SSH filter script
  become: true
  ansible.builtin.template:
    src: usr/bin/sshfilter.sh.j2
    dest: /usr/bin/sshfilter.sh
    owner: root
    group: root
    mode: "0755"

- name: Add acl to use sshfilter.sh
  become: true
  ansible.builtin.template:
    src: etc/hosts.allow.j2
    dest: /etc/hosts.allow
    owner: root
    group: root
    mode: "0644"
    backup: true

- name: Deny all hosts for sshd
  become: true
  ansible.builtin.template:
    src: etc/hosts.deny.j2
    dest: /etc/hosts.deny
    owner: root
    group: root
    mode: "0644"
    backup: true
